@import '../../widget/scss/variables.scss';
@import '../../../../styles/common.scss';
@import './flex.scss';
@import './arrow.scss';
@import './icons.scss';
@import './inputs.scss';
@import './trend.scss';

:host {
  color: $secondary-color;
  font-size: 11px;
  font-family: Arial;
}

.builder-panel-wrapper {
  padding-left: 10px;
  padding-right: 10px;
  box-sizing: border-box;
}

.collapsed {
  display: none !important;
}

h1 {
  font-size: 16px;
  color: #000000;
}

h3 {
  font-size: 11px;
  display: inline-block;
  margin-bottom: 5px;
  margin-top: 5px;
}

label {
  padding-bottom: 5px;
  display: block;

  &.size {
    width: 40px;
    height: 26px;
    display: table-cell;
    vertical-align: bottom;
  }

  &.width80 {
    width: 80px;
  }
}


.hide {
  display: none;
}




.fill {
  width: 100%;
}



.comparison-panel,
.advanced-panel,
.kpi-panel,
.values-panel,
.comparison-values-panel,
.line-chart-panel,
.bar-chart-panel,
.hover-panel {
  padding-left: 10px;
  padding-right: 10px;
}


.arrow-wrapper {
  padding-right: 3px;
  display: flex;
  align-items: center;

  .custom-checkbox {
    margin-left: 8px;
  }
}

.padding-10 {
  padding-right: 10px;
}

.top-level-panel {
  padding-left: 17px;
}

h1 {
  display: inline-block;
  margin-bottom: 10px;
  margin-top: 10px;
  margin-left: 5px;
}

h3 {
  margin-left: 5px;
}

.general,
.title,
.diagram,
.kpis {
  > .arrow-wrapper {
    .arrow {
      margin-bottom: 2px;
    }
  }
}

.cell {
  > .custom-checkbox {
    margin-top: 8px;
  }
}

h3 {
  .custom-checkbox {
    display: inline-block;
    margin-left: 5px;
  }
}

td {
  border: $border-light;
  padding-left: 5px;
}

.kpi1-wrapper,
.kpi2-wrapper,
.kpi3-wrapper,
.kpi4-wrapper {
  border: solid 1px;
  padding-left: 10px;
  margin-bottom: 10px;
}

